<template>
    <b-navbar type="light" variant="light" id="footer">
        <b-container>
            <b-nav-text>Copyright © Blanche Maurice {{ Year }} All rights reserved.</b-nav-text>

            <!-- Right aligned nav items -->
            <b-navbar-nav class="ml-auto">

                <b-nav-item :href="'mailto:' + $options.settings.Mail"><b-icon-envelope font-scale="1.4" /></b-nav-item>
                <b-nav-item :href="'tel:' + $options.settings.Telephone"><b-icon-telephone font-scale="1.4" /></b-nav-item>
                <b-nav-item :href="$options.settings.Mastodon" target="_blank"><b-icon-mastodon font-scale="1.4" /></b-nav-item>
                <b-nav-item :href="$options.settings.Bluesky" target="_blank"><faicon :icon="['fab', 'bluesky']" size="lg" /></b-nav-item>
                <b-nav-item :href="$options.settings.Linkedin" target="_blank"><b-icon-linkedin font-scale="1.4" /></b-nav-item>
                
            </b-navbar-nav>
        </b-container>
    </b-navbar>
</template>

<script>
import Settings from '../settings.json';

export default {
    settings: Settings,
    created () {
        this.Year = new Date().getFullYear();
    }
};
</script>

<style scoped>
    #footer {
        flex: none;
        border-top: 1px solid #EEE;
    }
    .navbar {
        background: #fdfdfd !important;
    }
</style>
